Subject: [rbridge] ARP <whatever> (was it's time to summarize things)

From: Eric.Gray at marconi.com (Gray, Eric)
Date: Fri, 16 Dec 2005 18:43:01 -0500

Harald,

	What is described in RFC 925 appears to be an interesting 
precursor to what Routers do, without actually using the word
router.  Equally interesting is the fact that it does not use
the word "proxy" (or anything, in fact, containing the syllable
"prox") either.

	However, I am fine with not using the terms "proxy ARP" or
"ARP proxy."

--
Eric

--> -----Original Message-----
--> From: Harald Tveit Alvestrand [mailto:harald at alvestrand.no] 
--> Sent: Friday, December 16, 2005 6:22 PM
--> To: Developing a hybrid router/bridge.; Gray, Eric
--> Subject: Re: [rbridge] ARP <whatever> (was it's time to 
--> summarize things)
--> 
--> 
--> 
--> --On fredag, desember 16, 2005 14:53:05 -0800 Joe Touch 
--> <touch at ISI.EDU> 
--> wrote:
--> 
--> >> As far as the "confusion" over ARP proxy, I am happy to use a
--> >> different word if it is confusing.  However, ARP proxy - in the
--> >> sense that I've interpreted it in the past is "proxying" the ARP
--> >> service.  That means essentially what Radia said - i.e. - close
--> >> in meaning to a name service proxy (but also similar to caching).
--> >
--> > The term "proxy ARP' is a well-known term on routers that 
--> does what I
--> > described; it is described in Cisco literature as such.
--> 
--> "Proxy ARP" has numerous citations in RFCs dating back to 
--> RFC 1009; I 
--> haven't been able to find "the" authoritative description 
--> in 5 mins of 
--> searching, but some pointers point back to RFC 925 
--> "Multi-LAN Address 
--> Resolution", which seems to describe what I think of when I 
--> say "proxy ARP".
--> 
--> Let's not try to change the meaning of that term.
--> 
--> 
-->